#include <iostream>
using namespace std;

int m_found = 0;
int ans = 1;
pair<int, int> m[10000000];

void find_m (int n) {
    for (int i = 2; i * i <= n; i++) {
        if (n % i == 0) {
            m[m_found].first = i;
            m[m_found].second = n / i;
            m_found++;
            ans++;
//            cout << i << " " << n / i << "\n";
        }
    }
    m_found--;
}

void find_three_mult (int n) {
    for (int c = 0; c <= m_found; c++) {
        int del = m[c].first;
        for (int i = 0; i <= m_found; i++) {
            if (m[i].first >= del && m[i].second % del == 0 && m[i].first * del <= m[i].second) {
                ans++;
//                cout << del << " " << m[i].first << " " << m[i].second / del << "\n";
            }
        }
    }
}

int main () {
//    ios_base::sync_with_stdio(0);
    int n;
    cin >> n;

    find_m(n);
    find_three_mult(n);
    cout << ans;
}
